# List personalization variants by page (deprecated)

Retrieves all personalization versions configured for a specific page, including their targeting rules and content variations.
**Note:** This endpoint is maintained for backward compatibility and will be deprecated and removed on August 4, 2026. Use the [List personalization variants by page v2 endpoint](https://api-docs.sitecore.com/sai/agent-api/personalization/personalization-get_personalization_versions_by_page) going forward.

Endpoint: GET /api/v1/personalization/by-page/{pageId}
Version: v2.0
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer JWT

## Path parameters:

  - `pageId` (string, required)

## Query parameters:

  - `language` (any)

## Header parameters:

  - `x-sc-job-id` (any)
    A unique identifier for the job, used to trace, audit, and revert actions performed by an AI agent through the Agent API.

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 fields (application/json):

  - `page_id` (string)
    The unique identifier of the page.
    Example: 3f2504e0-4f89-11d3-9a0c-0305e82c3301

  - `variant_name` (string)
    The name of the variant.
    Example: Variant A

  - `audience_name` (string)
    The name of the audience targeted by the variant.
    Example: Returning Visitors

  - `template` (string)
    The template used for the variant.
    Example: Default Template

  - `condition_groups` (array)
    A list of condition groups for the personalization variant.

  - `condition_groups.conditions` (array)
    A list of conditions in this condition group.

  - `condition_groups.conditions.templateId` (string)
    The unique identifier of the condition template.
    Example: cond-6c54-4b01-90e6-d701748f0851

  - `condition_groups.conditions.params` (object)
    A key-value map of parameters for the condition.

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array)
    The location of the error in the request.

  - `detail.msg` (string)
    The error message.

  - `detail.type` (string)
    The type of error.

  - `detail.input` (any)
    The input that caused the error.

  - `detail.ctx` (object)
    The context in which the error occurred.

